> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Forms

> Get Forms



## OpenAPI

````yaml /api-reference/forms/openapi.json get /forms
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms:
    get:
      tags:
        - Forms
      summary: Get Forms
      description: Get Forms
      operationId: get-forms
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          required: true
          in: query
          schema:
            type: string
            example: ve9EPM428h8vShlRW1KT
        - name: skip
          required: false
          in: query
          schema:
            example: 0
            type: number
        - name: limit
          required: false
          in: query
          description: >-
            Limit Per Page records count. will allow maximum up to 1000 and
            default will be 10
          schema:
            default: 10
            example: 20
            type: number
        - name: type
          required: false
          in: query
          schema:
            example: folder
            type: string
        - name: productType
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormsSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - forms.readonly
components:
  schemas:
    FormsSuccessfulResponseDto:
      type: object
      properties:
        forms:
          type: array
          items:
            $ref: '#/components/schemas/FormsParams'
        total:
          type: number
          example: '20'
          description: Total number of forms
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    FormsParams:
      type: object
      properties:
        id:
          type: string
          example: YSWdvS4Is98wtIDGnpmI
        name:
          type: string
          example: Form 1
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````